summaryrefslogtreecommitdiff
path: root/test/integration/create-test-data
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2010-08-24 21:44:11 +0200
committerMichael Vogt <michael.vogt@ubuntu.com>2010-08-24 21:44:11 +0200
commit17ea77d3332ce3abbbc96a9e110a37ae055ac422 (patch)
tree611708d199721f5bca0ea4826d03da0016f3780d /test/integration/create-test-data
parent7e32e3e58d5499056b17acd0a9992704e3f55951 (diff)
parent39ee79d5b84390ae79d8cce9389c1541bcd68a25 (diff)
* merged from debian/unstable
* merge of the debian-expermental-ma branch * refresh po/pot files in doc/ and po/ * Fix spelling error in cmdline/apt-get.cc. Thanks to Osamu Aoki Closes: #594211 * Swedish (Daniel Nylander). Closes: #592366 * French (Christian Perrier) * Thai (Theppitak Karoonboonyanan). Closes: #592695 * Russian (Yuri Kozlov). Closes: #594232 * French (Christian Perrier) * apt-pkg/contrib/strutl.cc: - fix error checking for vsnprintf in its safe variant * methods/bzip2.cc: - fix error checking for read in case of failing bzip2/lzma/whatever * debian/apt.cron.daily: - create backups for our extended_states file (Closes: #593430) * apt-pkg/init.cc: - set the default values for dir::etc::trusted options correctly * ftparchive/writer.cc: - init valid-until correctly to prevent garbage entering Release file * apt-pkg/deb/debsystem.cc: - set dir::state::status based at least on dir * apt-pkg/deb/dpkgpm.cc: - use the InstVer instead of the CurrentVer for the autobit transfer * methods/http.cc: - some http servers violate HTTP1.1 by not issuing a Reason-Phrase (or at least a space after the code) especially for 200, but lets be nice and ignore it as we don't need the reason in general * apt-pkg/acquire-item.cc: - don't use ReadOnlyGzip mode for PDiffs as this mode doesn't work in combination with the AddFd methods of our hashclasses
Diffstat (limited to 'test/integration/create-test-data')
-rwxr-xr-xtest/integration/create-test-data33
1 files changed, 33 insertions, 0 deletions
diff --git a/test/integration/create-test-data b/test/integration/create-test-data
new file mode 100755
index 000000000..ff9405502
--- /dev/null
+++ b/test/integration/create-test-data
@@ -0,0 +1,33 @@
+#!/bin/sh
+set +e # its okay to fail in these script, most of the time the apt* stuff will generate errors
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+BUILDDIRECTORY="${TESTDIR}/../../build/bin"
+
+GENERATE=$1
+CODENAME=$2
+shift 2
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
+touch $WORKDIR/status
+TMPGEN=$WORKDIR/Packages
+export LANG=C
+
+LISTOFPKGS=$(aptget install $* -t $CODENAME -so Dir::state::status=$WORKDIR/status -o Dir::Cache::archives=$WORKDIR -o pkgCacheGen::Essential=none -o APT::Immediate-Configure=0 2> /dev/null | awk '/^Inst/ {print $2}' | sed -e "s#\$#/$CODENAME#")
+aptcache show $LISTOFPKGS --no-all-versions 2> /dev/null > $TMPGEN
+sed -i $TMPGEN \
+ -e '/^ / d' \
+ -e '/^SHA1: / d' -e '/^SHA256: / d' \
+ -e '/^Homepage: / d' -e '/^Tag: / d' \
+ -e '/^Xul-Appid: / d' \
+ -e '/^Status: / d'
+
+if echo "$GENERATE" | grep '^status-' > /dev/null; then
+ sed -i $TMPGEN -e '/^Package: / a\
+Status: install ok installed' \
+ -e '/^Filename: / d' -e '/^Size: / d' -e '/^MD5sum: / d'
+fi
+
+apt-sortpkgs $TMPGEN > $GENERATE